package com.d2v.web.vo;

import java.util.Date;
import java.util.List;

public class Doc2vecTaskInfo {
    public int totalDataSize;
    public int nowDataSize;
    public Date startTime;
    public Date endTime;
    public int prevVer;
    public int procVer;
    public List<String> exceptions;
    public String sourceDomain;

    public int getTotalDataSize() {
        return totalDataSize;
    }

    public void setTotalDataSize(int totalDataSize) {
        this.totalDataSize = totalDataSize;
    }

    public int getNowDataSize() {
        return nowDataSize;
    }

    public void setNowDataSize(int nowDataSize) {
        this.nowDataSize = nowDataSize;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getPrevVer() {
        return prevVer;
    }

    public void setPrevVer(int prevVer) {
        this.prevVer = prevVer;
    }

    public int getProcVer() {
        return procVer;
    }

    public void setProcVer(int procVer) {
        this.procVer = procVer;
    }

    public List<String> getExceptions() {
        return exceptions;
    }

    public void setExceptions(List<String> exceptions) {
        this.exceptions = exceptions;
    }

    public String getSourceDomain() {
        return sourceDomain;
    }

    public void setSourceDomain(String sourceDomain) {
        this.sourceDomain = sourceDomain;
    }
}
